Casey Scott wrote:
I am trying to upgrade from 6.3 to 7.0. With latest source, buildworld dies
with:

...
/usr/src/gnu/lib/libgcc/../../../contrib/gcc/unwind-dw2.c: In function 
'uw_install_context_1':
/usr/src/gnu/lib/libgcc/../../../contrib/gcc/unwind-dw2.c:1472: warning: 
incompatible implicit declaration of built-in function 'abort'
/usr/src/gnu/lib/libgcc/../../../contrib/gcc/unwind-dw2.c:1480: warning: 
incompatible implicit declaration of built-in function 'memcpy'
/usr/src/gnu/lib/libgcc/../../../contrib/gcc/unwind-dw2.c:1486: warning: 
incompatible implicit declaration of built-in function 'memcpy'
/usr/src/gnu/lib/libgcc/../../../contrib/gcc/unwind-dw2.c:1490: warning: 
incompatible implicit declaration of built-in function 'memcpy'
In file included from 
/usr/src/gnu/lib/libgcc/../../../contrib/gcc/unwind-dw2.c:1518:
/usr/src/gnu/lib/libgcc/../../../contrib/gcc/unwind.inc: In function 
'_Unwind_RaiseException_Phase2':
/usr/src/gnu/lib/libgcc/../../../contrib/gcc/unwind.inc:75: warning: 
incompatible implicit declaration of built-in function 'abort'
/usr/src/gnu/lib/libgcc/../../../contrib/gcc/unwind.inc: In function 
'_Unwind_Resume':
/usr/src/gnu/lib/libgcc/../../../contrib/gcc/unwind.inc:238: warning: 
incompatible implicit declaration of built-in function 'abort'
/usr/src/gnu/lib/libgcc/../../../contrib/gcc/unwind.inc: In function 
'_Unwind_Resume_or_Rethrow':
/usr/src/gnu/lib/libgcc/../../../contrib/gcc/unwind.inc:263: warning: 
incompatible implicit declaration of built-in function 'abort'

These are all non-fatal warnings, so it doesn't explain why the build stopped.

*** Error code 1

Stop in /usr/src/gnu/lib/libgcc.
*** Error code 1

Please show us more context.

Kris

_______________________________________________
freebsd-questions@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/freebsd-questions
To unsubscribe, send any mail to "[EMAIL PROTECTED]"

Reply via email to